package net.wanji.web.service;

import net.wanji.feign.pojo.result.JsonViewObject;
import net.wanji.web.dto.CrossIdAndTimeDTO;
import net.wanji.web.dto.CrossIdDTO;
import net.wanji.web.dto.CrossIdAndPhaseIdsDTO;
import net.wanji.web.dto.SaveSchemeConfigDTO;
import net.wanji.web.dto.ScheduleIdDTO;
import net.wanji.web.dto.SchemeIdDTO;
import net.wanji.web.vo.PhaseListByTimeVO;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/3 16:14
 */
public interface PlanSendService {
    JsonViewObject scheduleSend(ScheduleIdDTO scheduleIdDTO);

    JsonViewObject schemeSend(SchemeIdDTO schemeIdDTO);

    JsonViewObject nextStep(CrossIdDTO crossIdDTO);

    JsonViewObject lockPhase(CrossIdAndPhaseIdsDTO crossIdAndPhaseIdsDTO);

    JsonViewObject allRedControl(CrossIdDTO crossIdDTO);

    JsonViewObject yellowLightControl(CrossIdDTO crossIdDTO);

    JsonViewObject restore(CrossIdAndPhaseIdsDTO crossIdAndPhaseIdsDTO);

    JsonViewObject syncScheme(CrossIdDTO crossIdDTO);

    PhaseListByTimeVO phaseListByTime(CrossIdAndTimeDTO crossIdAndTimeDTO);

    List<SaveSchemeConfigDTO.PhaseListElement> phaseListByTimeSingleRing(CrossIdAndTimeDTO crossIdAndTimeDTO);
}
